<?php
/*======================================================================================
Module: Articles
======================================================================================*/

// Check authorisation
if (!isset($gCms)) exit;
if ( !$this->CheckPermission('Articles: modify categories') ) exit;

// Get POST data
$tabto = preg_replace('/[^0-9a-zA-Z_]/','',$params['tabto']);
$category = (int)$params['category'];
$active = $params['active'] ? 1 : 0;

// De-/Activate category
if ($category) {
	// De-/Activate the category
	$sql = 'UPDATE '.cms_db_prefix().'module_articles_category SET active=? WHERE entry_id=?';
	$res = $db->Execute($sql,array($active, $category));
}

// Redirect
$this->Redirect($id, 'defaultadmin', $returnid, array( 'tabto'=>$tabto ));

// EOF